Bug 625251 - [abrt] rhythmbox-0.12.8-4.fc13: raise: Process /usr/libexec/rhythmbox-metadata was killed by signal 6 (SIGABRT)
Summary: [abrt] rhythmbox-0.12.8-4.fc13: raise: Process /usr/libexec/rhythmbox-metadat...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6c55ea692f06c28401afe1fa350...
Keywords:
: 566044 589634 592712 600184 600728 600732 616733 639616 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-19 00:04 UTC by Gerardo Carmona
Modified: 2011-06-28 14:26 UTC (History)
21 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-06-28 14:26:21 UTC


Attachments (Terms of Use)
File: backtrace (17.28 KB, text/plain)
2010-08-19 00:04 UTC, Gerardo Carmona
no flags Details

Description Gerardo Carmona 2010-08-19 00:04:24 UTC
abrt version: 1.1.13
architecture: i686
Attached file: backtrace
cmdline: /usr/libexec/rhythmbox-metadata unix:tmpdir=/tmp
component: rhythmbox
crash_function: raise
executable: /usr/libexec/rhythmbox-metadata
kernel: 2.6.33.6-147.2.4.fc13.i686.PAE
package: rhythmbox-0.12.8-4.fc13
rating: 4
reason: Process /usr/libexec/rhythmbox-metadata was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
time: 1282176114
uid: 500

How to reproduce
-----
1.tagging a files
2.
3.

Comment 1 Gerardo Carmona 2010-08-19 00:04:31 UTC
Created an attachment (id=439551)
File: backtrace

Comment 2 Greg Flint 2010-09-07 08:04:11 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Select (approx 20) files, right-click and choose 'Properties'
2.Rename album (to a name already used by the same album, but in a different format).
3.


Comment
-----
As above

Comment 3 Rui Gouveia 2010-09-09 11:18:19 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Selected all the tracks from an album
2. Right-click in mouse and select "proprities"
3. Applyed "Metal" to the type of music.


Comment
-----
One by one worked.

Comment 4 John Drinkwater 2010-09-09 11:29:58 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
File didn't have metadata
1. Open file properties in track view
2. Enter Artist & Album, left other fields empty
3. Closed properties dialogue
4. abrt popped up

Comment 5 John Drinkwater 2010-09-09 11:30:57 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
File didn't have metadata
1. Open file properties in track view
2. Enter Artist & Album, left other fields empty
3. Closed properties dialogue
4. abrt popped up

Comment 6 Greg Flint 2010-09-11 07:39:11 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Changing tags on multiple files at once. Select files, choose 'Details', then insert Album name.
2.Click OK
3.There were several 'write' errors.

Comment 7 Carlos Díaz 2010-09-12 20:42:10 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Try to change tags like genre or artist to a just added group of files (in mp3 format) at same time
2.
3.

Comment 8 Carlos Díaz 2010-09-16 02:10:47 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Try to change metadata to a song
2.
3.

Comment 9 Marco Polese 2010-09-16 20:23:41 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I've selected a group of tracks
2. I was saving a new 'general' proprieties (mp3 tag), crash in that moment.

Comment 10 Ronald Canete 2010-09-26 10:35:53 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Editing the properties of the file.
2. When I save the information (Genre, Album, Artist) it crash.
3.

Comment 11 Jovan Chekalov 2010-09-30 19:44:53 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Change (updated) tags of audio files
2. Start Rhythmbox
3.

Comment 12 Xion Luhnis 2010-10-03 02:27:20 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Listen to a music track
2. Try to edit the song informations (especially title) as the music is running
3. Try to commit your edit (save it)


Comment
-----
Clearly, the bug isn't that problematic since it works well 
as long as you are not running the song you're editing.

An easiest solution would be to block edited files, 
so that we cannot commit their edit while they are running. But you MUST
tell the user that it isn't possible.

Comment 13 David 2010-10-07 00:16:35 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Select a few *.ogg files and select properties
2.Make a change that will be made to all the files that are selected
3.After clicking close should regenerate the error


Comment
-----
I was trying to rename the artist on a few *.ogg files all at once when the error accured.

Comment 14 Pablo Seguí 2010-10-14 03:21:17 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Abrí Rythmbox.

Comment 15 Sergey Kurtsev 2010-10-16 06:40:34 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
I suppose this happens while music files are being downloaded with Transmission. 
I see rhythmbox refreshes playlist from time to time and warning "Unable to write tags" pops up.

Comment 16 pleabargain 2010-10-22 06:14:16 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.playing music/ no idea why it crashed.
2.
3.

Comment 17 Steve 2010-10-23 06:51:10 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Just started rhythmbox.

Comment 18 pleabargain 2010-10-23 09:45:10 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.opening Rbox
2.
3.

Comment 19 pleabargain 2010-10-23 10:01:34 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.don't know/ listening to music
2.
3.

Comment 20 pleabargain 2010-10-23 13:21:31 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.listening to music...
2.
3.


Comment
-----
It keeps crashing even after rebooting.

Comment 21 100domicil 2010-10-31 09:40:08 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
I trıed to modify the artist name of a list of MP3. for some reasons Rythmn box is unable to do it.

Comment 22 Karel Klíč 2010-11-08 19:37:51 UTC
*** Bug 589634 has been marked as a duplicate of this bug. ***

Comment 23 Karel Klíč 2010-11-08 19:37:55 UTC
*** Bug 592712 has been marked as a duplicate of this bug. ***

Comment 24 Karel Klíč 2010-11-08 19:38:00 UTC
*** Bug 600184 has been marked as a duplicate of this bug. ***

Comment 25 Karel Klíč 2010-11-08 19:38:05 UTC
*** Bug 600728 has been marked as a duplicate of this bug. ***

Comment 26 Karel Klíč 2010-11-08 19:38:09 UTC
*** Bug 600732 has been marked as a duplicate of this bug. ***

Comment 27 Karel Klíč 2010-11-08 19:38:14 UTC
*** Bug 616733 has been marked as a duplicate of this bug. ***

Comment 28 Karel Klíč 2010-11-08 19:38:19 UTC
*** Bug 639616 has been marked as a duplicate of this bug. ***

Comment 29 Karel Klíč 2010-11-08 19:38:24 UTC
*** Bug 566044 has been marked as a duplicate of this bug. ***

Comment 30 Ken Dubrick 2010-11-09 17:27:10 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Right clicked on a song 
2. Selected Properties
3. Changed Name of song


Comment
-----
Changed the name of a song

Comment 31 michelenani 2010-11-10 18:02:16 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. ho cercato di modificare le proprietà di un file audio su rhythmbox
2. ma quando ho chiuso la finestra mi ha mandato un messaggio (che segnalava l'impossibilità di scrivere)
3. infine ha crashato


Comment
-----
 il file era collocato in una directory di home

Comment 32 michelenani 2010-11-15 16:49:51 UTC
Package: rhythmbox-0.12.8-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. ho cercato di modificare le proprieta di un file audio su rhythmbox
2. ma quando ho chiuso la finestra mi ha mandato un messaggio (che segnalava l'impossibilit di scrivere)



Comment
-----
 il file era collocato in una directory di home

Comment 33 Bug Zapper 2011-06-01 11:11:32 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 34 Greg Flint 2011-06-03 09:45:31 UTC
I use Ubuntu now

Comment 35 Bug Zapper 2011-06-28 14:26:21 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.